Bug 26867 - SRPM for kernel-2.2.17-14 is in RPM 4 format cannot read with rpm 3
SRPM for kernel-2.2.17-14 is in RPM 4 format cannot read with rpm 3
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-09 16:40 EST by csieh
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 17:47:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description csieh 2001-02-09 16:40:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i686)


SRPM for errata kernel-2.2.17-14 is in RPM 4 format.  RPM 4 is not
available for RedHat 6.2
This SRPM was downloaded from  updates/6.2/SRPMS on February 8.

The 

Reproducible: Always
Steps to Reproduce:
1. Download from ftp.redhat.com
2. rpm -i kernel-2.2.17-14.src.rpm
 
	

Actual Results:  only packages with major numbers <= 3 are supported by
this version of RPM
error: /mnt/612/SRPMS/kernel-2.2.17-14.src.rpm cannot be installed

Expected Results:  The rpm would install ok.
Comment 1 rm0 2001-02-09 17:47:20 EST
Have you installed the Aug 9 2000 
RHEA-2000:051-01 
"New version of rpm required to install Red Hat updates"
advisory for RHL 6.2 ? 

It is v3.05 of rpm and is the bridge between the v3 and v4 
rpm file formats.

Every official update update since then (more than 6 months ago)
from Red Hat for 6.2 is packaged with it.
Comment 2 Michael K. Johnson 2001-02-13 18:12:23 EST
Ramiro is correct; this isn't a bug.

Note You need to log in before you can comment on or make changes to this bug.